Bug 1854444 - Make nano the default editor
Summary: Make nano the default editor
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Chris Murphy
QA Contact:
URL:
Whiteboard:
Depends On: 1889674 1874094 1882865 1889576
Blocks: F33Changes
TreeView+ depends on / blocked
 
Reported: 2020-07-07 13:54 UTC by Ben Cotton
Modified: 2020-10-27 14:47 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 14:47:35 UTC
Type: ---


Attachments (Terms of Use)

Description Ben Cotton 2020-07-07 13:54:27 UTC
This is a tracking bug for Change: Make nano the default editor
For more details, see: https://fedoraproject.org/wiki/Changes/UseNanoByDefault

Let's make Fedora more approachable, by having a default editor that doesn't require specialist knowledge to use.

Comment 1 Ben Cotton 2020-08-11 14:42:19 UTC
Branching F33 Change Tracker bugs.

Today is the code complete (testable) deadline. All bugs should be at least in MODIFIED state by now to indicate they are testable.

Comment 2 Corinna Vinschen 2020-08-20 11:54:21 UTC
(In reply to Ben Cotton from comment #0)
> This is a tracking bug for Change: Make nano the default editor
> For more details, see:
> https://fedoraproject.org/wiki/Changes/UseNanoByDefault
> 
> Let's make Fedora more approachable, by having a default editor that doesn't
> require specialist knowledge to use.

From the above website:

    Create a new subpackage of nano, called nano-default-editor.
    nano-default-editor will include /etc/profile.d/nano.(sh|csh), which sets $EDITOR to nano.
    nano-default-editor will be added to both @standard and @workstation-product in comps, so it gets installed by default everywhere.

This is not the best way to approach this.

On existing systems, installing nano-default-editor would also affect existing users.
This is not acceptable.  The installation of nano-default-editor should only affect
new users, not already exsting ones.

Therefore a good solution would only add an entry for EDITOR or VISUAL to
/etc/defaults, so that only new users are affected, no?


Corinna

Comment 3 Ben Cotton 2020-08-20 13:42:47 UTC
I'm just messenger. You should take this up with the listed proposal owners.

Comment 4 Corinna Vinschen 2020-08-20 13:51:17 UTC
(In reply to Ben Cotton from comment #3)
> I'm just messenger. You should take this up with the listed proposal owners.

That's Chris then, right?

Comment 5 Chris Murphy 2020-08-20 19:36:06 UTC
(In reply to Corinna Vinschen from comment #2)

> On existing systems, installing nano-default-editor would also affect
> existing users.
> This is not acceptable.  The installation of nano-default-editor should only
> affect
> new users, not already exsting ones.

I don't understand the question. What about "Will not apply to upgrades" is unclear or incorrect?

https://fedoraproject.org/wiki/Changes/UseNanoByDefault#Upgrade.2Fcompatibility_impact

Comment 6 Corinna Vinschen 2020-08-21 08:50:49 UTC
The problem I'm seeing is, you can't be sure that this package will never
be installed on existing systems by dependency or by accident.  So the
package should go the least intrusive way in terms of existing systems.

Comment 7 Kamil Dudka 2020-08-21 12:54:08 UTC
Corinna, what is the /etc/defaults file you refer to?  There is no such file on my system.  Do you mean the /etc/default directory?

Could you please better describe your proposal?  Ideally as a patch please.

Comment 8 Corinna Vinschen 2020-08-21 14:18:04 UTC
Kamil, actually I thought about a change to the files in /etc/skel,
not in /etc/default.  I'm sorry for any confusion here.

Given the default shell is bash, adding `export EDITOR=/usr/bin/nano'
to /etc/skel/.bashrc would probably be most helpful to default to
nano for new users only.  This would also allow to add this seemlessly
to existing installations, I think.

The downside of this approach is that this requires to change the bash
package.

Comment 9 Kamil Dudka 2020-08-21 14:54:38 UTC
Corinna, thank you for clarifying it!  Now it is clear to me what you are proposing.

Comment 10 Neal Gompa 2020-08-22 18:19:53 UTC
With the approach being used, if you have your own EDITOR variable set in your user profile, the system-wide one doesn't take effect.

Moreover, the nano-default-editor package makes it apply across the board with Bourne shells, C shells, and fish, while permitting a trivial user override.

If you don't want it, uninstalling the package reverts it back to "POSIX defaults" by unsetting EDITOR systemwide unless you've got your own setting locally.

Comment 11 Corinna Vinschen 2020-08-24 07:58:03 UTC
This is all nice and well, but it doesn't address the problem I'm pointing out.

If this package makes it accidentally onto an already installed system you're
using at home, then you're the one and only affected user.

If this package makes it accidentally onto an already installed system with
300 accounts, the change affects up to 300 accounts, and you're forcing
up to 300 users to change their EDITOR setting in a single strike.  You
also probably drive an administrator to insanity considering the number
of complaints.  Yes, she could deinstall the package, but the productivity
damage is done.

What I'm trying to say is that the approach, even if being well-intentioned,
can have unforseen effects.

That's why I think an approach which only actually affects *new* users, in
contrast to *all* users on a system would be preferrable because it avoids
such problems.

Comment 12 Michael Catanzaro 2020-08-24 14:33:02 UTC
I'm not too worried that someone will accidentally install a package that no other packages should ever depend on....

Comment 13 Ben Cotton 2020-10-27 14:47:35 UTC
Closing tracking bugs for F33. If your change didn't make it into F33 for some reason, please reopen this and NEEDINFO me.


Note You need to log in before you can comment on or make changes to this bug.